Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.helper
Class JNDIHelper

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.helper.JNDIHelper

Deprecated. Use `JndiHelper`

public class JNDIHelper
extends java.lang.Object
implements ToolkitConstants

Single point of access to the application server. This should make it easy to swap out servers, and processes.

Constructor Summary
`JNDIHelper()` Deprecated.

Method Summary
`static void` | `bind(javax.naming.Context ctx, java.lang.String name, java.lang.Object obj)` Deprecated. Bind an object to name in the given context.
`static void` | `bind(java.lang.String name, java.lang.Object obj)` Deprecated. Bind an object into the local naming context.
`static javax.naming.Context` | `create(java.util.Hashtable props)` Deprecated. Create a new context based on the properties file.
`static java.util.Hashtable` | `createDefault()` Deprecated. Create the default context hashtable for creating the InitialContext.
`protected static javax.naming.Context` | `createSubcontext(javax.naming.Context initial, java.lang.String name)` Deprecated. Create a subcontext for the given name.
`static javax.naming.Context` | `getDefaultContext()` Deprecated. The default context.
`static java.lang.Object` | `getHome(javax.naming.Context ctx, java.lang.String homeName)` Deprecated. Get home.
`static java.lang.Object` | `getHome(java.lang.String homeName)` Deprecated. Safely retrieve an EJBHome by passing it through the PortableRemoteObject.narrow method, using the EJBMetaData.
`static java.lang.Object` | `getService(java.lang.String aLookupName)` Deprecated. See lookup
`static java.lang.Object` | `lookup(java.lang.String aLookupName)` Deprecated. Connect to a reference in JNDI referred to by the lookup name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIHelper

    public JNDIHelper()

  Deprecated.

Method Detail

### create

    public static javax.naming.Context create(java.util.Hashtable props)
                                       throws javax.naming.NamingException

  Deprecated.
  Create a new context based on the properties file.

  Parameters:
    `props` - the properties for the JNDI implementation.
  Returns:
    `Context`
  Throws:
    `ToolkitException` -

### getDefaultContext

    public static javax.naming.Context getDefaultContext()

  Deprecated.
  The default context. This will look to see if a default context has been created

### createDefault

    public static java.util.Hashtable createDefault()

  Deprecated.
  Create the default context hashtable for creating the InitialContext.

  Returns:
    `Hashtable`

### lookup

    public static java.lang.Object lookup(java.lang.String aLookupName)
                                   throws ToolkitException

  Deprecated.
  Connect to a reference in JNDI referred to by the lookup name.

  Parameters:
    `String` - the lookup name.
  Returns:
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws:
    ToolkitException - holder for any exception

### bind

    public static void bind(java.lang.String name,
                            java.lang.Object obj)
                     throws javax.naming.NamingException

  Deprecated.
  Bind an object into the local naming context.

  Parameters:
    `name` - the name (can be multi-part).
    `obj` - the object.
  Throws:
    javax.naming.NamingException - thrown on a naming error.
  See Also:
    `bind(javax.naming.Context, java.lang.String, java.lang.Object)`, `getDefaultContext()`

### bind

    public static void bind(javax.naming.Context ctx,
                            java.lang.String name,
                            java.lang.Object obj)
                     throws javax.naming.NamingException

  Deprecated.
  Bind an object to name in the given context.

  This supports binding multi-part names by creating the required sub Contexts as needed. If an object is already bound there, this will do a rebind.

  Parameters:
    `ctx` - the naming Context.
    `name` - the name (can be multi-part).
    `obj` - the object.
  Throws:
    javax.naming.NamingException - thrown on a naming error.
  See Also:
    `createSubcontext(javax.naming.Context, java.lang.String)`

### createSubcontext

    protected static javax.naming.Context createSubcontext(javax.naming.Context initial,
                                                           java.lang.String name)
                                                    throws javax.naming.NamingException

  Deprecated.
  Create a subcontext for the given name.

  This will not create the last portion of the name.

  Parameters:
    `initial` - the initial context to start at.
    `name` - the name (can be multi-part).
  Returns:
    the subcontext.
  Throws:
    javax.naming.NamingException - thrown is the name cannot be created.

### getService

    public static java.lang.Object getService(java.lang.String aLookupName)
                                       throws ToolkitException

  Deprecated. See lookup
  Connect to a reference in JNDI referred to by the lookup name.

  Parameters:
    `String` - the lookup name.
  Returns:
    Object the object referenced by the name. Use this to get handles to Home interfaces, RMI objects, etc.
  Throws:
    ToolkitException - holder for any exception

### getHome

    public static java.lang.Object getHome(java.lang.String homeName)
                                    throws ToolkitException

  Deprecated.
  Safely retrieve an EJBHome by passing it through the PortableRemoteObject.narrow method, using the EJBMetaData.

  If rmi-iiop is not being used, this will just do a lookup.

  Parameters:
    `homeName` - the JNDI name of the home.
  Returns:
    the home, safely narrowed to the home interface class.
  Throws:
    ToolkitException - thrown on a lookup error.

### getHome

    public static java.lang.Object getHome(javax.naming.Context ctx,
                                           java.lang.String homeName)
                                    throws javax.naming.NamingException

  Deprecated.
  Get home.

  Parameters:
    `ctx` -
    `homeName` -
  Returns:
    `Object`
  Throws:
    `NamingException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved